Bug Hunting Session
Bug 122696 - Page settings missing a few paper sizes
Summary: Page settings missing a few paper sizes
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: DTP Page-Dialog
  Show dependency treegraph
 
Reported: 2019-01-13 18:55 UTC by Pablo Félix Jiménez
Modified: 2019-05-24 14:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Félix Jiménez 2019-01-13 18:55:24 UTC
Add the paper Type list: 
• The paper for the press series ISO RA and SRA.
• British Imperial System.
• United States Customary System.
Example:
The RA series of ISO paper formats:

RA0 1220 × 860 mm. 
RA1 860 × 610 mm. 
RA2 610 × 430 mm. 
RA3 430 × 305 mm. 
RA4 305 × 215 mm.  
RA5 215 × 152 mm. 
RA6 152 × 107 mm. 

The SRA series of ISO paper formats: 

SRA0 1280 × 900 mm. 
SRA1 900 × 640 mm. 
SRA2 640 × 450 mm. 
SRA3 450 × 320 mm. 
SRA4 320 × 225 mm. 
SRA5 225 × 160 mm. 
SRA6 160 × 112 mm.

Atte. Pablo Félix Jiménez
Comment 1 Dieter Praas 2019-05-01 12:17:42 UTC
cc: Design Team
Comment 2 Heiko Tietze 2019-05-03 10:14:02 UTC
Twelve new formats make the list not easier to read. Given the expected low demand I would rather not add the defaults (at least not all) and suggest to use the customization.

https://www.papersizes.org/ra-sra-untrimmed.htm
https://en.wikipedia.org/wiki/ISO_217
Comment 3 Cor Nouws 2019-05-15 07:32:11 UTC
(In reply to Heiko Tietze from comment #2)
> Twelve new formats make the list not easier to read.
I find it not hard to find sizes in the list. It's nicely ordered. So personally I would not object to add the others.
Comment 4 Heiko Tietze 2019-05-16 08:13:10 UTC
While Cor has no issues with a large dropdown list it's bad usability when this kind of control is used for a large number of items. In this case it would be better realized as list with a connected search field.

Secondly, 14 new types clutter the list of well know sizes. So what I would agree with is a small number of <5 items. Pablo, do you think RA4 and RA5 is enough as defaults? You can always define the size manually and store a template.
Comment 5 jonathon 2019-05-16 17:49:23 UTC
I'm going to make a radical proposal here.  I don't know how difficult it would be to implement this solution.  The primary virtue is that it provides users the ability to add groups of paper sizes that they use, whilst keeping the number of sizes down to the minimum necessary for users.

It is a three part solution:

a) Replace "Styles and Formatting > Page Styles >Page >Format" with
""Styles and Formatting > Page Styles >Page >Standard" 

This presents a drop down list of page size groups, that can be edited, deleted, added to, or otherwise modified by the user.   
Standard groups to be included are:
* ISO A sizes;
* ISO B sizes;
* ISO C sizes;
* Customary Japanese sizes;
* Customary US sizes;
* Imperial British sizes;
* User;

Users have the ability to add additional groups here.

Upon selecting a group, the drop menu lists the appropriate paper sizes.

The User group contains one page size --- "user", whose attributes, including name and group, must be defined by the user.

b)  Page "User"
This page is basically the same as the current format "User".
The major differences are that:
* The user must select a group for the page;
* The user must give the page a name;
* The page attributes are saved and reusable elsewhere;

c) Write an extension for the "missing" groups of page styles. 
For this specific issue, that would be the RA & SRA series of page sizes. For a11y organisations, that would be Braille Paper sizes, or Moon Page sizes.
Comment 6 Heiko Tietze 2019-05-16 18:15:55 UTC
(In reply to jonathon from comment #5)
> ...
> This presents a drop down list of page size groups...

Interesting. A modification of your idea could be to have the checkboxes of page format types under tools > options and we could pre-check it depending on the locale.

But simple solution is always preferred. So if Pablo can suggest a subset of RA/SRA...
Comment 7 V Stuart Foote 2019-05-16 22:21:37 UTC
Hmm, looking at the vast mix of standards based and extended paper specifications [1] that could require internal LO support shows our current droplist of 31 entries is really inadequate.

But then as currently positioned--LibreOffice project scope is really not in the DTP arena. 

Especially since we can not produce proper Bleed and Printers marks [2], and our VCL canvas layout is limited to what ODF can support. 

How relevant really are the majority of the larger paper sizes: 4A0, 2A0, A0, A1 even A2; or the corresponding C or B series sizes in those ranges. Likewise the larger DIN 476-1/476-2, SIS, JIS or American ANSI E, D, or C sizes? 

When even being able to print most requires access to large format plotter or offset press--specialized equipment that is out of scope for our office project!

In fact having no DTP capability for Bleeds, Slugs and Cut lines currently eliminates _any_ utility to supporting the oversize "raw" ISO 217 RA & RSA page sizes. The extra "raw" size intended only to be trimmed away.

The smaller sizes are equally questionable--most can not be handled in personal or home office printers. Why would we support those page layout formats at the expense of a cluttered UI?

So I agree there is room to fix content of the drop listing for reasonably useful paper sizes--especially where we have gaps in localized support. And it looks like some of the envelope sizes are suspect (e.g. ISO 269 is "withdrawn") yet we list those envelop sizes available? M

But while LO continues to be lacking DTP support, project should not feel obliged to support what are essentially "exotic" page sizes. The existing drop list UI is functional. But if a dev is motivated to pick up Jonathan's rework it looks feasible in general, but short of that nothing to be gained.

IMHO => WF

=-ref-=
[1] https://en.wikipedia.org/wiki/Paper_size
[2] bug 76629, bug 93166, bug 103396, bug 103683
Comment 8 Cor Nouws 2019-05-24 14:09:21 UTC
(In reply to V Stuart Foote from comment #7)
> ... 
> But while LO continues to be lacking DTP support, project should not feel
> obliged to support what are essentially "exotic" page sizes. The existing
> drop list UI is functional. But if a dev is motivated to pick up Jonathan's
> rework it looks feasible in general, but short of that nothing to be gained.
> 
> IMHO => WF
Thanks for the analyses, Stuart.
Since for people needing it often a template is a good solution and the UI provides means for custom size, indeed WF is fine.
I hope that is reasonable to you, Pablo.